=== debian/changelog ===
coq-serapi (8.19.0+0.19.3-2) unstable; urgency=medium

  * Made the -ocaml-dev package depend on the -ocaml one.
  * Add sertop/sertop.el to d/copyright.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 16 May 2024 14:54:04 +0200

coq-serapi (8.19.0+0.19.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1011648)

 -- Julien Puydt <jpuydt@debian.org>  Thu, 02 May 2024 21:57:08 +0200
