=== debian/control ===
Source: coq-serapi
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               help2man,
               libcmdliner-ocaml-dev,
               libcoq-core-ocaml-dev,
               libcoq-stdlib,
               libppx-deriving-ocaml-dev,
               libppx-deriving-yojson-ocaml-dev,
               libppx-hash-ocaml-dev,
               libppx-import-ocaml-dev,
               libppx-sexp-conv-ocaml-dev,
               libppxlib-ocaml-dev,
               libsexplib-ocaml-dev,
               libyojson-ocaml-dev,
               ocaml-dune,
               ocaml-findlib
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-serapi
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-serapi.git
Homepage: https://github.com/ejgallego/coq-serapi

Package: libcoq-serapi-ocaml
Architecture: any
Depends: libcoq-ocaml, ${misc:Depends}, ${ocaml-Depends}
Provides: ${ocaml:Provides}
Description: interaction with Coq (runtime)
 SerAPI provides a library for machine-to-machine
 interaction with Coq with particular emphasis on
 integrated development environments, code analysis tools
 and machine learning.
 .
 Coq is a proof assistant for higher-order logic.
 .
 This package provides runtime libraries for the serapi plugin.

Package: libcoq-serapi-ocaml-dev
Architecture: any
Depends: coq-${F:CoqABI},
         libcoq-ocaml,
         libcoq-serapi-ocaml (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: interaction with Coq (devel)
 SerAPI provides a library for machine-to-machine
 interaction with Coq with particular emphasis on
 integrated development environments, code analysis tools
 and machine learning.
 .
 Coq is a proof assistant for higher-order logic.
 .
 This package provides libraries needed to develop
 for the serapi plugin.

Package: coq-serapi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: interaction with Coq (utils)
 SerAPI provides a library for machine-to-machine
 interaction with Coq with particular emphasis on
 integrated development environments, code analysis tools
 and machine learning.
 .
 Coq is a proof assistant for higher-order logic.
 .
 This package provides utilities to work with the serapi
 plugin.
