=== debian/watch ===
version=4
https://github.com/ejgallego/coq-serapi/tags .*/([\d\.]+\+[\d\.]+).tar.gz
