## coq-serapi 8.20.0+0.20.0

=== Makefile ===
--- 
+++ 
@@ -40,6 +40,23 @@
 sertop: build
 	dune exec -- rlwrap sertop
 
+vendor/coq-lsp:
+	$(error Submodules not initialized, please do "make submodules-init")
+
+.PHONY: submodules-init
+submodules-init:
+	git submodule update --init
+
+# Deinitialize submodules
+.PHONY: submodules-deinit
+submodules-deinit:
+	git submodule deinit -f --all
+
+# Update submodules from upstream
+.PHONY: submodules-update
+submodules-update:
+	(cd vendor/coq-lsp && git checkout main && git pull upstream main)
+
 #####################################################
 # Misc
