=== debian/changelog ===
coq-serapi (8.20.0+0.20.0-1build3) plucky; urgency=medium

  * No-change rebuild for coq ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2025 21:04:37 +0100

coq-serapi (8.20.0+0.20.0-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 21:45:30 +0100

coq-serapi (8.20.0+0.20.0-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 22:45:58 +0100

coq-serapi (8.20.0+0.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 10:47:58 +0100

coq-serapi (8.19.0+0.19.3-4) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2024 08:40:29 +0200

coq-serapi (8.19.0+0.19.3-3) unstable; urgency=medium

  * Fix compilation with recent yojson (Closes: #1073269).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 18 Jun 2024 10:49:29 +0200
