=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk
include /usr/share/coq/coqvars.mk

export COQTOP := $(COQ_STDLIB_DIR)
export COQLIB := $(COQ_STDLIB_DIR)
export COQBIN := /usr/bin

%:
	dh $@ --with ocaml

override_dh_auto_build:
	$(MAKE) build

override_dh_auto_install:
	dune install --destdir=$(CURDIR)/debian/tmp --prefix=/usr --libdir=$(OCAML_STDLIB_DIR)
	for executable in sercomp sername sertok sertop; do \
		TERM=dumb help2man $(CURDIR)/debian/tmp/usr/bin/$$executable > $(CURDIR)/debian/$$executable.1 ; \
	done
	find debian/tmp -name LICENSE -delete
	find debian/tmp -regextype posix-awk \
	  -regex '.*\.(cma|cmxs|v|vo|vos|glob)$$' \
	  >> debian/libcoq-serapi-ocaml.install
	find debian/tmp -regextype posix-awk \
	  -regex '.*\.(a|cmi|cmo|cmt|cmti|cmx|cmxa|ml|mli|o])$$' \
	  >> debian/libcoq-serapi-ocaml-dev.install

override_dh_gencontrol:
	dh_gencontrol -- -VF:CoqABI="$(COQ_ABI)"
